Bug 663653 - Review Request: rubygem-warden - Rack middle-ware that provides authentication
Summary: Review Request: rubygem-warden - Rack middle-ware that provides authentication
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-16 14:10 UTC by Vít Ondruch
Modified: 2011-01-03 20:00 UTC (History)
3 users (show)

Fixed In Version: rubygem-warden-1.0.3-3.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-22 19:43:05 UTC
mtasaka: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Vít Ondruch 2010-12-16 14:10:36 UTC
Spec URL: http://people.redhat.com/vondruch/rubygem-warden.spec
SRPM URL: http://people.redhat.com/vondruch/rubygem-warden-1.0.3-1.fc14.src.rpm
Description: Warden is a Rack-based middle-ware, designed to provide a mechanism for authentication in Ruby web applications. It is a common mechanism that fits into the Rack Machinery to offer powerful options for authentication.

Comment 1 Mamoru TASAKA 2010-12-17 18:47:07 UTC
Some notes:

* BuildRoot tag
  - BuildRoot: line is no longer needed on Fedora:
    https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

* Requires
  - rubygem(rack) is needed only for BuildRequires and not needed
    for Requires
  - Remove unneeded ">= 1" or ">= 1.0.0" parts on
    (Build)Requires: rubygem-foo. c.f.
    https://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires

* Cleaning
  - "rm -rf %{buildroot}" at the top of %install, %clean section
    are no longer needed:
    https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean

* Consistent path usage
  - Why do you add %_bindir/ before spec explicitly while you don't
    write /bin/rm or %_bindir/gem?

* Splitting out document files
  - Please consider to create -doc subpackage and move the following
    files / directories into -doc
---------------------------------------------------
%{geminstdir}/spec
%{geminstdir}/warden.gemspec
%{geminstdir}/Rakefile
%{gemdir}/doc/%{gemname}-%{version}
---------------------------------------------------

Comment 2 Vít Ondruch 2010-12-20 09:44:40 UTC
Thank you for your review. I have uploaded new versions here:

Spec URL: http://people.redhat.com/vondruch/rubygem-warden.spec
SRPM URL: http://people.redhat.com/vondruch/rubygem-warden-1.0.3-2.fc14.src.rpm

However, I did not removed the "Requires: rubygem(rack)" as you suggested. My reasons are:
1) Warden is Rack middle-ware, therefore it should depend on rack during runtime. Usage of warden without rack doesn't make too much sense.
2) Although there is not explicit "require 'rack'" in lib folder, there are references on "Rack" module. Developing some web application, there is high chance that some body did that require before warden had a chance (this might be considered as really minor bug of warden?).

Comment 3 Vít Ondruch 2010-12-20 10:00:54 UTC
And one additional point is that rack is explicitly specified as runtime dependency by the warden gem (see the warden.gemspec file https://github.com/hassox/warden/blob/v1.0.2/warden.gemspec#L92)

Comment 4 Mamoru TASAKA 2010-12-20 16:21:44 UTC
(In reply to comment #2)
> However, I did not removed the "Requires: rubygem(rack)" as you suggested. My

Sorry, I meant "Requires: rubygem(rspec)" is not needed.

Comment 5 Vít Ondruch 2010-12-20 16:35:46 UTC
Ah, Ok. Please find the updated files bellow:

Spec URL: http://people.redhat.com/vondruch/rubygem-warden.spec
SRPM URL: http://people.redhat.com/vondruch/rubygem-warden-1.0.3-3.fc14.src.rpm

Comment 6 Mamoru TASAKA 2010-12-20 21:03:23 UTC
Okay

(I don't think explicit %doc in -doc subpackage is needed,
 however not a blocker)

-----------------------------------------------------------
    This package (rubygem-warden) is APPROVED by mtasaka
-----------------------------------------------------------

Comment 7 Vít Ondruch 2010-12-21 09:23:23 UTC
Thank you for the review.

Comment 8 Vít Ondruch 2010-12-21 09:31:28 UTC
New Package SCM Request
=======================
Package Name: rubygem-warden
Short Description: Rack middle-ware that provides authentication
Owners: vondruch
Branches: f13 f14
InitialCC:

Comment 9 Jason Tibbitts 2010-12-21 16:02:52 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2010-12-22 12:53:18 UTC
rubygem-warden-1.0.3-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-warden-1.0.3-3.fc13

Comment 11 Fedora Update System 2010-12-22 12:53:27 UTC
rubygem-warden-1.0.3-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-warden-1.0.3-3.fc14

Comment 12 Mamoru TASAKA 2010-12-22 19:43:05 UTC
Closing.

Comment 13 Fedora Update System 2011-01-03 19:59:38 UTC
rubygem-warden-1.0.3-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-01-03 20:00:35 UTC
rubygem-warden-1.0.3-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.